# JapanStations.jl

**NOTE: This package is a sample package for an article of WEB+DB PRESS. Do not use this in your project.**

**告知: このパッケージはWEB+DB PRESSの記事用に作られたサンプルパッケージです。プロジェクトで使用しないでください。**


## インストール方法

Juliaのパッケージ管理モードで次のコマンドを実行してください。

    pkg> add https://github.com/bicycle1885/JapanStations.jl.git

ソースコードを編集する場合は、次のようにレポジトリを手元にクローンし、`instantiate`コマンドを実行してください。

    $ git clone https://github.com/bicycle1885/JapanStations.jl.git JapanStations
    $ cd JapanStations
    $ julia --project -q
	(JapanStations) pkg> instantiate
	julia> using JapanStations


## 誌面との主な違い

<dl>
	<dt>インデント</dt>
	<dd>誌面の節約のため2スペースにしていましたが、ここではJuliaで標準的な4スペースにしています。</dd>
	<dt>docstring</dt>
	<dd><code>fetch_stations</code>関数のdocstringをコードの中に予め書いています。</dd>
</dl>
